New Super Mario Bros. U Challenge Mode crashes
06/08/2019 07:44 PM - RokkumanX

Status: Resolved Start date: 06/08/2019
Priority: Normal

Assignee:
Description
This is an issue that have been bothering me for a while now (I'm currently on 1.15.8 and it still happens)

Basically what happens is that Cemu crashes when playing certain Challenge Mode levels, one easy to reproduce this with is a Time
Attack level called Icicle Skating.

Back in the 1.11.x-1.13.x days | could complete most of these challenges without crashes and get Gold Medals even, | think |
skipped the 1.14.x range entirely only later to jump on the 1.15.x range where | started to notice this issue.

It even happens when you play the replay videos of the levels, again Icicle Skating is a good test for this.

Now | don't want to play challenge mode anymore because of this.

Some levels can be completed however, but | can't complete this level at all no matter what | do or how fast | am.
Useful information:

New Super Mario Bros. U (Europe) [Loadiine]

Cemu 1.15.8 (High accuracy settings, Single-Core, Single precision etc.)

Cemu hook 0.5.7.2

i7 8700K @stock clock

NVIDIA GTX 1070 6GB VRAM

16GB RAM
Windows 10 Enterprise LTSC 2019 1809

History

#1 - 07/03/2019 11:54 PM - Zalnor
- Category changed from General to Compatibility

#2 - 01/11/2020 03:41 PM - RokkumanX

Crashes isn't just limited to Challenge Mode anymore or New Super Mario Bros. U, it crashes when playing New Super Luigi U too.
Using Cemu 1.16.1 and both games are basically unplayable because of random crashes.

Both games are stated to have Great and Perfect compatibility but that seems to have been some time ago.

#3 - 10/29/2020 01:39 AM - Exzap

- Status changed from New to Resolved

Late update on this.
The crash was caused by shaders getting stuck in infinite loops due to reading the wrong uniform values. The cache rewrite in Cemu 1.20.0 fixed this
problem.

Flagging this as resolved. If it still occurs let me know.
